#!/bin/sh
#
# versuch project
# start_stop BSD style script
# warlock copyright since Nov 2005
# $Id: versuch_ctl.sh.in,v 1.2 2006/09/25 12:58:13 warlock_kg Exp $
#

HOMEDIR=/usr/local/versuch

ARGV="$@"
if [ "x$ARGV" = "x" ] ; then
    ARGS="help"
fi

for ARG in $@ $ARGS
do
    case $ARG in
    stop)
        echo "Stopping versuch and watcher"
	killall versuch_watcher.sh
	killall versuch
        ;;
    start)
        echo "Starting versuch and watcher"
	export LD_LIBRARY_PATH=/work/a/ports/net/versuch/work/versuch/../pwlib/lib:/work/a/ports/net/versuch/work/versuch/../openh323/lib
	ulimit -c unlimited
        cd $HOMEDIR
        ./versuch -t 2> log &
        ./scripts/versuch_watcher.sh &
        ;;
show|status)
	ps ax | grep -v grep | grep -v versuch_ctl.sh | grep versuch
        ;;
restart|reload)
        $0 stop
        sleep 1
        $0 start
        ;;
    *)
        echo "usage: $0 (start|stop|show|restart)"
        cat <<EOF

start		- start versuch
stop		- stop versuch
show|status	- show PS with versuch filter
restart|reload	- restart versuch

EOF
        ERROR=2
    ;;

    esac

done

exit $ERROR

